package dev.fyloz.backup

import dev.fyloz.backup.plugins.configureSecurity
import dev.fyloz.backup.plugins.configureSerialization
import io.ktor.server.engine.*
import io.ktor.server.netty.*

fun main() {
    embeddedServer(Netty, port = 8080, host = "0.0.0.0") {
        configureApiRouting()
        configureSecurity()
        configureSerialization()
    }.start(wait = true)
}

// Backups:
// Backups will be incremental for x time
// After, the older backups will be put in a normal backup and the incremental backups will be updated to increment from the last normal backup.
